ItemEvents.modification(event => {
  
  event.modify('supplementaries:bomb', item => {
    item.maxStackSize = 16
    item.rarity = 'UNCOMMON'
  })

  event.modify('supplementaries:bomb_blue', item => {
    item.maxStackSize = 16
    item.rarity = 'RARE'
  })

  event.modify('spelunkery:mineomite', item => {
    item.maxStackSize = 16
  })

  let raremats = [
    'irons_spellbooks:lightning_bottle',
    'irons_spellbooks:cinder_essence',
    'minecraft:diamond_helmet', 'minecraft:diamond_chestplate', 'minecraft:diamond_leggings', 'minecraft:diamond_boots',
    'minecraft:diamond_sword', 'minecraft:diamond_pickaxe', 'minecraft:diamond_axe', 'minecraft:diamond_shovel', 'minecraft:diamond_hoe'
  ]
  raremats.forEach(r => event.modify(r, item => {
    item.rarity = 'RARE'
  }))

  let epicmats = [
    'irons_spellbooks:dragonskin',
    'minecraft:netherite_helmet',
    'minecraft:netherite_chestplate',
    'minecraft:netherite_leggings',
    'minecraft:netherite_boots',
    'minecraft:netherite_ingot',
    'minecraft:netherite_sword',
    'minecraft:netherite_pickaxe',
    'minecraft:netherite_axe',
    'minecraft:netherite_shovel',
    'minecraft:netherite_hoe',
    'icarus:black_dragon_wings'
  ]
  epicmats.forEach(e => event.modify(e, item => {
    item.rarity = 'EPIC'
  }))

  event.modify('medieval_healing:bandage', item => {
    item.maxStackSize = 16
  })

  event.modify('medieval_healing:healing_wrap', item => {
    item.maxStackSize = 4
  })

  event.modify('medieval_healing:leather_binding', item => {
    item.maxStackSize = 4
  })

  event.modify('medieval_healing:herbal_tonic', item => {
    item.maxStackSize = 4
  })

  event.modify('medieval_healing:herbal_medicine', item => {
    item.foodProperties = food => {
      food.fastToEat()
    }
  })

});